Bug 498324 - Review Request: perl-JSON-RPC-Common - Perl module for handling JSON-RPC objects
Review Request: perl-JSON-RPC-Common - Perl module for handling JSON-RPC objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 16:57 EDT by Christian Krause
Modified: 2009-05-09 00:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.03-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 19:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christian Krause 2009-04-29 16:57:02 EDT
Spec URL: http://chkr.fedorapeople.org/review/perl-JSON-RPC-Common.spec
SRPM URL: http://chkr.fedorapeople.org/review/perl-JSON-RPC-Common-0.03-1.fc10.src.rpm
Description:
This module provides abstractions for JSON-RPC 1.0, 1.1 (both variations)
and 2.0 (formerly 1.2) Procedure Call and Procedure Return objects (formerly
known as request and result), along with error objects. It also provides
marshalling objects to convert the model objects into JSON text and
HTTP requests/responses.

- rpmlint: no errors, no warnings
- koji builds: builds for all Fedora releases
F10: https://koji.fedoraproject.org/koji/taskinfo?taskID=1329269
F11: https://koji.fedoraproject.org/koji/taskinfo?taskID=1329265
F12: https://koji.fedoraproject.org/koji/taskinfo?taskID=1329259
Comment 1 Orcan Ogetbil 2009-04-29 21:53:49 EDT
Alright, here is the review. Nothing serious:

! Please make the description span 80 columns evenly (as much as possible)

! The file Changes can be packaged as %doc

! There is no information about the license except at the end of the lib/JSON/RPC/Common.pm file. Could you advise upstream for putting a COPYING file into the tarball and adding headers that contain license information to the source files?

! It looks like these BR's can be removed:
   BuildRequires:  perl(Moose)
   BuildRequires:  perl(namespace::clean)
The package builds fine without them. The other packages pull them in so they don't cause any harm. I'll leave this up to you.

* Packages must not own files or directories already owned by other packages. I don't think this package should own %{perl_vendorlib}/JSON/ . It should own 
%{perl_vendorlib}/JSON/RPC instead. Ownership of %{perl_vendorlib}/JSON/ will be satisfied by rpm's automatic dependency generation.
Comment 2 Christian Krause 2009-05-01 05:56:34 EDT
(In reply to comment #1)
> Alright, here is the review. Nothing serious:

Thank you very much for the review!

> ! Please make the description span 80 columns evenly (as much as possible)

Done.

> ! The file Changes can be packaged as %doc

Done.

> ! There is no information about the license except at the end of the
> lib/JSON/RPC/Common.pm file. Could you advise upstream for putting a COPYING
> file into the tarball and adding headers that contain license information to
> the source files?

Yes, I've mailed upstream. The author replied that he'll have a look at this.

> ! It looks like these BR's can be removed:
>    BuildRequires:  perl(Moose)
>    BuildRequires:  perl(namespace::clean)
> The package builds fine without them. The other packages pull them in so they
> don't cause any harm. I'll leave this up to you.

Done, I've removed them.

> * Packages must not own files or directories already owned by other packages. I
> don't think this package should own %{perl_vendorlib}/JSON/ . It should own 
> %{perl_vendorlib}/JSON/RPC instead. Ownership of %{perl_vendorlib}/JSON/ will
> be satisfied by rpm's automatic dependency generation.  

Done.

new package:

Spec URL: http://chkr.fedorapeople.org/review/perl-JSON-RPC-Common.spec
SRPM URL:
http://chkr.fedorapeople.org/review/perl-JSON-RPC-Common-0.03-2.fc10.src.rpm
Comment 3 Orcan Ogetbil 2009-05-01 11:25:49 EDT
Thanks. But now we have the rpmlints:
   perl-JSON-RPC-Common.src: E: description-line-too-long objects to convert the 
   model objects into JSON text and HTTP requests/responses.

   perl-JSON-RPC-Common.src:54: W: macro-in-%changelog doc

   perl-JSON-RPC-Common.src:56: W: macro-in-%changelog perl_vendorlib

Please fix these. Also, running rpmlint on the SPEC and SRPM files after you're done editing is a good idea.
Comment 4 Christian Krause 2009-05-01 15:37:41 EDT
(In reply to comment #3)
> Please fix these. Also, running rpmlint on the SPEC and SRPM files after you're
> done editing is a good idea.  

Sure, your're right.

Here are the new packages:
Spec URL: http://chkr.fedorapeople.org/review/perl-JSON-RPC-Common.spec
SRPM URL:
http://chkr.fedorapeople.org/review/perl-JSON-RPC-Common-0.03-3.fc10.src.rpm
Comment 5 Orcan Ogetbil 2009-05-01 15:50:08 EDT
Great. Thanks!

-------------------------------------------------------
This package (perl-JSON-RPC-Common) is APPROVED by oget
-------------------------------------------------------
Comment 6 Christian Krause 2009-05-01 15:58:40 EDT
New Package CVS Request
=======================
Package Name: perl-JSON-RPC-Common
Short Description: Perl module for handling JSON-RPC objects
Owners: chkr
Branches: F-10 F-11
InitialCC:
Comment 7 Dennis Gilmore 2009-05-01 16:55:13 EDT
CVS Done
Comment 8 Fedora Update System 2009-05-04 04:17:15 EDT
perl-JSON-RPC-Common-0.03-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-JSON-RPC-Common-0.03-3.fc10
Comment 9 Fedora Update System 2009-05-04 04:18:47 EDT
perl-JSON-RPC-Common-0.03-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-JSON-RPC-Common-0.03-3.fc11
Comment 10 Christian Krause 2009-05-06 04:11:41 EDT
Package Change Request
======================
Package Name: perl-JSON-RPC-Common
New Branches: F-9
Owners: chkr
Comment 11 Kevin Fenzi 2009-05-06 17:04:25 EDT
cvs done.
Comment 12 Fedora Update System 2009-05-06 18:09:34 EDT
perl-JSON-RPC-Common-0.03-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-JSON-RPC-Common-0.03-3.fc9
Comment 13 Fedora Update System 2009-05-06 19:29:30 EDT
perl-JSON-RPC-Common-0.03-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-09 00:13:05 EDT
perl-JSON-RPC-Common-0.03-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-09 00:24:18 EDT
perl-JSON-RPC-Common-0.03-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.